CoCoA-5.0.9 release (admin, overheads, etc)

26 Feb 2014 16:51 - John Abbott

Status: Closed Start date: 26 Feb 2014

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Release Estimated time: 6.00 hours

Target version: CoCoA-5.0.9 Spent time: 6.75 hours

Description

Just an issue to gather together all the things to do for the imminent 5.0.9 release.

JAA is hoping the release will be publicly available by 24th March.

Related issues:

Related to CoCoA-5 - Support #503: CoCoA website: CoCoA-5.0.9 pages Closed 17 May 2013

Related to CoCoA-5 - Bug #88: Makefile problem with GUI on linux Closed 08 Feb 2012

Related to CoCoA-5 - Feature #270: Distribution for linux Closed 18 Oct 2012

History

#1 - 26 Feb 2014 16:54 - John Abbott

Things to do (no special order):

(@Anna) check the roadmap, and see which tasks we can reasonably complete, and which will slip to 5.0.5

check for old issues which have somehow been resolved, and can now be closed.

check for issues which have been in feedback for some time and can now be closed

#2 - 26 Feb 2014 17:09 - John Abbott

Can we complete/close any of these issues?

#20, #32, #78, #94, #104, #197, #200, #204, #216, #239, #322

I'm sure there are many more too...

#3 - 27 Feb 2014 09:44 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

I wonder if the next version should be 5.1 instead of 5.0.4; the reason for the jump is the removal of the keywords Not and  lambda...EndLambda,

which is decidedly not backward compatible.

What do you think?

#4 - 25 Mar 2014 16:19 - John Abbott

- Subject changed from CoCoA-5.0.4 release (admin, overheads, etc) to CoCoA-5.0.9 release (admin, overheads, etc)

- % Done changed from 10 to 50

Changed title etc to refer to 5.0.9 instead of 5.0.4.
https://cocoa.dima.unige.it/redmine/issues/20
https://cocoa.dima.unige.it/redmine/issues/32
https://cocoa.dima.unige.it/redmine/issues/78
https://cocoa.dima.unige.it/redmine/issues/94
https://cocoa.dima.unige.it/redmine/issues/104
https://cocoa.dima.unige.it/redmine/issues/197
https://cocoa.dima.unige.it/redmine/issues/200
https://cocoa.dima.unige.it/redmine/issues/204
https://cocoa.dima.unige.it/redmine/issues/216
https://cocoa.dima.unige.it/redmine/issues/239
https://cocoa.dima.unige.it/redmine/issues/322


Hoping to complete the release by the end of this week!

#5 - 25 Mar 2014 17:56 - John Abbott

- Assignee set to John Abbott

- % Done changed from 50 to 80

Delayed several issues to 5.1.0.

#6 - 02 Apr 2014 16:24 - Anna Maria Bigatti

John: please send me CoCoAInterpreter for 10.5

#7 - 02 Apr 2014 16:24 - Anna Maria Bigatti

- Estimated time set to 6.00 h

#8 - 03 Apr 2014 20:16 - Anna Maria Bigatti

all binaries have been released for text/emacs interface

(mac 10.6/10.5, linux 32/64, win)

gui only for mac 10.6

still working on linux 64 and for win

#9 - 11 Apr 2014 14:59 - Anna Maria Bigatti

- Status changed from In Progress to Closed

- % Done changed from 80 to 100
